
QGIS Application - Feature request #5039

Cut unreprojectable geometries

2012-02-17 01:47 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 14811

Description

Currently, geometries are reprojected also in invalid spaces (i.e. outside their bounding box). This results in weird shapes, and possibly

crashes. Better not to display them outside the BB. Recent GeoServer improvements use this approach, that can be used as a source of

inspiration.

History

#1 - 2012-10-06 02:18 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-02-23 07:01 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Open to Closed

It seems to be working (geoms disappearing) now, in QGIS 3, with the automatic reprojection.
